LBER_MEMORY(3)

NAME
ber_memalloc, ber_memcalloc, ber_memrealloc, ber_memfree - LBER memory allocators

SYNOPSIS
#include <lber.h>

void * ber_memalloc(
	ber_len_t bytes )

void * ber_memcalloc(
	ber_len_t nelems, ber_len_t bytes )

void * ber_memrealloc(
	void *ptr,
	ber_len_t bytes);

void * ber_memfree(
	void *ptr );

DESCRIPTION

These routines are used to allocate/deallocate memory used/returned by the Lightweight BER library as required by lber-encode(3) and lber-decode(3).

SEE ALSO
lber-decode(3) lber-encode(3) lber-types(3)

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.